Skip to main content
GET
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
users
/
{user_id}
/
electric-vehicles
Get a user's electric vehicles
curl --request GET \
  --url https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/electric-vehicles \
  --header 'Authorization: Bearer <token>'
[
  {
    "connection_status": "ok",
    "monitoring_status": "ok",
    "steering_status": "ok",
    "device_model": {
      "device_type": {
        "short_name": "<string>",
        "long_name": "<string>"
      },
      "manufacturer": "<string>",
      "model": "<string>",
      "cloud_service_instructions": "<string>",
      "cloud_service_signup_link": "<string>",
      "year": 123,
      "cloud_service": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "owner": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "external_id": "<string>"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "price_zone": "AT",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "deleted_at": "2023-11-07T05:31:56Z",
    "lifecycle_state": "authenticated",
    "lifecycle_error": "<string>",
    "building": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "pause_power_until": "2023-11-07T05:31:56Z",
    "is_pause_power_active": false,
    "external_device_id": "",
    "is_authenticated": false,
    "is_smart_optimization_active": false,
    "optimization_score": 123,
    "current_mode": "<string>",
    "comment": "<string>",
    "current_state_last_updated_at": "2023-11-07T05:31:56Z",
    "last_monitoring_executed_at": "2023-11-07T05:31:56Z",
    "is_inverter_forced_mode_enabled": false,
    "is_inverter_forced_mode_active": false,
    "inverter_forced_mode_since": "0001-01-01T00:00:00Z",
    "is_trading_enabled": false,
    "actual_steering_state": "unknown",
    "charge_target_min": 50,
    "charge_target_max": 123,
    "is_charge_policy_enabled": false,
    "charge_policy_last_updated_at": "2023-11-07T05:31:56Z",
    "minimum_charge_limit": 100,
    "charge_deadline_at": "06:00:00",
    "is_over_charge_allowed": false,
    "expected_max_charge_power": 3600,
    "charge_time_remaining": 123,
    "charge_rate_w": 123,
    "is_fully_charged": false,
    "is_plugged_in": false,
    "is_charging": false,
    "battery_level": 123,
    "driving_range": 123,
    "battery_capacity_kwh": "0",
    "charge_state_last_updated_at": "2023-11-07T05:31:56Z",
    "boost_for_next_session": false,
    "latitude": 123,
    "longitude": 123,
    "coordinates_last_updated_at": "2023-11-07T05:31:56Z",
    "geo_fence_distance_m": 100,
    "consumption_last_day_kwh": 123,
    "consumption_last_week_kwh": 123,
    "consumption_last_month_kwh": 123,
    "consumption_last_updated_at": "2023-11-07T05:31:56Z",
    "battery_at_plug_in": 123,
    "embeddable_url": "<string>",
    "authorization_url": "<string>",
    "action_needed": false,
    "boost_state": "unavailable",
    "boost_feature_enabled": false,
    "last_boost_triggered_at": "2023-11-07T05:31:56Z",
    "last_boost_ended_at": "2023-11-07T05:31:56Z",
    "last_boost_end_reason": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.podero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

org_id
string<uuid>
required

The organization ID of the user's organization

user_id
string<uuid>
required

The user ID of the user whom the electric vehicle belongs to

Query Parameters

include_deleted
boolean
default:false

If true, includes soft-deleted

Response

200 - application/json

OK

connection_status
enum<string>
required
Available options:
ok,
warning,
error,
unknown
monitoring_status
enum<string>
required
Available options:
ok,
warning,
error,
unknown
steering_status
enum<string>
required
Available options:
ok,
warning,
error,
unknown
device_model
DeviceModelOutput · object
required
owner
OwnerOutput · object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
price_zone
enum<string>
default:AT
Available options:
AT,
AT_HOURLY,
BE,
CH,
EE,
DE_LU,
HU,
IT_CNOR,
IT_CSUD,
IT_NORD,
IT_PUN,
IT_SARD,
IT_SICI,
IT_SUD,
PT,
RO,
SE_1,
SE_2,
SE_3,
SE_4,
UK
id
string<uuid> | null
deleted_at
string<date-time> | null

When set, the device is considered deleted.

lifecycle_state
string
default:authenticated
Maximum string length: 20
lifecycle_error
string | null

Error metadata when lifecycle_state is 'error'.

building
string<uuid> | null
pause_power_until
string<date-time> | null
is_pause_power_active
boolean
default:false
external_device_id
string | null
default:""
Maximum string length: 255
is_authenticated
boolean | null
default:false
is_smart_optimization_active
boolean
default:false
optimization_score
number | null
current_mode
string | null
comment
string | null
Maximum string length: 300
current_state_last_updated_at
string<date-time> | null
last_monitoring_executed_at
string<date-time> | null
is_inverter_forced_mode_enabled
boolean
default:false
is_inverter_forced_mode_active
boolean
default:false
inverter_forced_mode_since
string<date-time> | null
default:0001-01-01T00:00:00Z
is_trading_enabled
boolean
default:false
actual_steering_state
string
default:unknown
Maximum string length: 20
charge_target_min
integer | null
default:50
charge_target_max
integer | null

Detected OEM-app charge cap (percent). NULL = unknown / no cap detected.

is_charge_policy_enabled
boolean | null
default:false
charge_policy_last_updated_at
string<date-time> | null
minimum_charge_limit
integer | null
default:100
charge_deadline_at
string<time> | null
default:06:00:00
is_over_charge_allowed
boolean | null
default:false
expected_max_charge_power
integer
default:3600
charge_time_remaining
integer | null
charge_rate_w
integer | null
is_fully_charged
boolean | null
default:false
is_plugged_in
boolean | null
default:false
is_charging
boolean | null
default:false
battery_level
integer | null
driving_range
integer | null
battery_capacity_kwh
default:0
charge_state_last_updated_at
string<date-time> | null
boost_for_next_session
boolean
default:false
latitude
number | null
longitude
number | null
coordinates_last_updated_at
string<date-time> | null
geo_fence_distance_m
number
default:100
consumption_last_day_kwh
consumption_last_week_kwh
consumption_last_month_kwh
consumption_last_updated_at
string<date-time> | null
battery_at_plug_in
number | null

Battery level at latest plug-in event

embeddable_url
string | null

URL to embeddable onboarding form

authorization_url
string | null

Base URL for authorizing with the Podero server

action_needed
boolean
default:false

True when at least one action is pending against this device and the partner must take that action before the device can resume normal operation. The actions field on the detail response carries the specifics.

boost_state
enum<string>
default:unavailable
Available options:
available,
requested,
unavailable,
ongoing
boost_feature_enabled
boolean
default:false
last_boost_triggered_at
string<date-time> | null
last_boost_ended_at
string<date-time> | null
last_boost_end_reason
string | null